Package io.vertx.pgclient

## Class PgNotice

- java.lang.Object
- - io.vertx.pgclient.PgNotice

-     public class PgNotice
      extends Object

  A notification emited by Postgres.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgNotice()` |
    `PgNotice​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCode()` |
    `String` | `getColumn()` |
    `String` | `getConstraint()` |
    `String` | `getDataType()` |
    `String` | `getDetail()` |
    `String` | `getFile()` |
    `String` | `getHint()` |
    `String` | `getInternalPosition()` |
    `String` | `getInternalQuery()` |
    `String` | `getLine()` |
    `String` | `getMessage()` |
    `String` | `getPosition()` |
    `String` | `getRoutine()` |
    `String` | `getSchema()` |
    `String` | `getSeverity()` |
    `String` | `getTable()` |
    `String` | `getWhere()` |
    `void` | `log​(io.vertx.core.internal.logging.Logger logger)` |
    `PgNotice` | `setCode​(String code)` |
    `PgNotice` | `setColumn​(String column)` |
    `PgNotice` | `setConstraint​(String constraint)` |
    `PgNotice` | `setDataType​(String dataType)` |
    `PgNotice` | `setDetail​(String detail)` |
    `PgNotice` | `setFile​(String file)` |
    `PgNotice` | `setHint​(String hint)` |
    `PgNotice` | `setInternalPosition​(String internalPosition)` |
    `PgNotice` | `setInternalQuery​(String internalQuery)` |
    `PgNotice` | `setLine​(String line)` |
    `PgNotice` | `setMessage​(String message)` |
    `PgNotice` | `setPosition​(String position)` |
    `PgNotice` | `setRoutine​(String routine)` |
    `PgNotice` | `setSchema​(String schema)` |
    `PgNotice` | `setSeverity​(String severity)` |
    `PgNotice` | `setTable​(String table)` |
    `PgNotice` | `setWhere​(String where)` |
    `JsonObject` | `toJson()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgNotice

          public PgNotice()

    - #### PgNotice

          public PgNotice​(JsonObject json)

  - ### Method Detail

    - #### getSeverity

          public String getSeverity()

    - #### setSeverity

          public PgNotice setSeverity​(String severity)

    - #### getCode

          public String getCode()

    - #### setCode

          public PgNotice setCode​(String code)

    - #### getMessage

          public String getMessage()

    - #### setMessage

          public PgNotice setMessage​(String message)

    - #### getDetail

          public String getDetail()

    - #### setDetail

          public PgNotice setDetail​(String detail)

    - #### getHint

          public String getHint()

    - #### setHint

          public PgNotice setHint​(String hint)

    - #### getPosition

          public String getPosition()

    - #### setPosition

          public PgNotice setPosition​(String position)

    - #### getInternalPosition

          public String getInternalPosition()

    - #### setInternalPosition

          public PgNotice setInternalPosition​(String internalPosition)

    - #### getInternalQuery

          public String getInternalQuery()

    - #### setInternalQuery

          public PgNotice setInternalQuery​(String internalQuery)

    - #### getWhere

          public String getWhere()

    - #### setWhere

          public PgNotice setWhere​(String where)

    - #### getFile

          public String getFile()

    - #### setFile

          public PgNotice setFile​(String file)

    - #### getLine

          public String getLine()

    - #### setLine

          public PgNotice setLine​(String line)

    - #### getRoutine

          public String getRoutine()

    - #### setRoutine

          public PgNotice setRoutine​(String routine)

    - #### getSchema

          public String getSchema()

    - #### setSchema

          public PgNotice setSchema​(String schema)

    - #### getTable

          public String getTable()

    - #### setTable

          public PgNotice setTable​(String table)

    - #### getColumn

          public String getColumn()

    - #### setColumn

          public PgNotice setColumn​(String column)

    - #### getDataType

          public String getDataType()

    - #### setDataType

          public PgNotice setDataType​(String dataType)

    - #### getConstraint

          public String getConstraint()

    - #### setConstraint

          public PgNotice setConstraint​(String constraint)

    - #### toJson

          public JsonObject toJson()

    - #### log

          public void log​(io.vertx.core.internal.logging.Logger logger)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`